#!/bin/bash

CONF="/etc/recursos2.conf"
source ${CONF}

if [ -n "$FILECPU" ] ; then
    if [ -f "$FILECPU" ] ; then
	    eerror "El archivo $FILECPU ya existe"
    else

        rrdtool create ${FILECPU} --start N \
        -s 120 \
        DS:porcentajecpu:GAUGE:600:0:100  \
        RRA:AVERAGE:0.5:1:600    \
        RRA:AVERAGE:0.5:6:700    \
        RRA:AVERAGE:0.5:24:775   \
        RRA:AVERAGE:0.5:288:797  \
        RRA:MIN:0.5:1:600        \
        RRA:MIN:0.5:6:700        \
        RRA:MIN:0.5:24:775       \
        RRA:MIN:0.5:288:797      \
        RRA:MAX:0.5:1:600        \
        RRA:MAX:0.5:6:700        \
        RRA:MAX:0.5:24:775       \
        RRA:MAX:0.5:288:797

	    einfo "$FILECPU creado."
    fi
fi

if [ -n "$FILEBW" ] ; then
    if [ -f "$FILEBW" ] ; then
	    eerror "El archivo $FILEBW ya existe"
    else

        rrdtool create ${FILEBW} --start N \
        -s 120 \
        DS:dev_in:GAUGE:600:U:U  \
        DS:dev_out:GAUGE:600:U:U  \
        RRA:AVERAGE:0.5:1:600    \
        RRA:AVERAGE:0.5:6:700    \
        RRA:AVERAGE:0.5:24:775   \
        RRA:AVERAGE:0.5:288:797  \
        RRA:MIN:0.5:1:600        \
        RRA:MIN:0.5:6:700        \
        RRA:MIN:0.5:24:775       \
        RRA:MIN:0.5:288:797      \
        RRA:MAX:0.5:1:600        \
        RRA:MAX:0.5:6:700        \
        RRA:MAX:0.5:24:775       \
        RRA:MAX:0.5:288:797	 \
        RRA:LAST:0.5:1:600        \
        RRA:LAST:0.5:6:700        \
        RRA:LAST:0.5:24:775       \
        RRA:LAST:0.5:288:797	 

	    einfo " ${FILEBW} creado."
    fi
fi

if [ -n "$FILEMEM" ] ; then
    if [ -f "$FILEMEM" ] ; then
    	eerror "El archivo $FILEMEM ya existe"
    else

        rrdtool create ${FILEMEM} --start N \
        -s 120 \
        DS:ram:GAUGE:600:0:U  \
        DS:swap:GAUGE:600:0:U  \
        RRA:AVERAGE:0.5:1:600    \
        RRA:AVERAGE:0.5:6:700    \
        RRA:AVERAGE:0.5:24:775   \
        RRA:AVERAGE:0.5:288:797  \
        RRA:MIN:0.5:1:600        \
        RRA:MIN:0.5:6:700        \
        RRA:MIN:0.5:24:775       \
        RRA:MIN:0.5:288:797      \
        RRA:MAX:0.5:1:600        \
        RRA:MAX:0.5:6:700        \
        RRA:MAX:0.5:24:775       \
        RRA:MAX:0.5:288:797

    	einfo "$FILEMEM creado."
    fi
fi

if [ -n "$FILEPROCS" ] ; then
    if [ -f "$FILEPROCS" ] ; then
	    eerror "El archivo $FILEPROCS ya existe"
    else

        rrdtool create ${FILEPROCS} --start N \
        -s 120 \
        DS:run:GAUGE:600:0:U  \
        DS:sleep:GAUGE:600:0:U  \
        DS:stop:GAUGE:600:0:U  \
        DS:zom:GAUGE:600:0:U  \
        DS:total:GAUGE:600:0:U \
        RRA:AVERAGE:0.5:1:600    \
        RRA:AVERAGE:0.5:6:700    \
        RRA:AVERAGE:0.5:24:775   \
        RRA:AVERAGE:0.5:288:797  \
        RRA:MIN:0.5:1:600        \
        RRA:MIN:0.5:6:700        \
        RRA:MIN:0.5:24:775       \
        RRA:MIN:0.5:288:797      \
        RRA:MAX:0.5:1:600        \
        RRA:MAX:0.5:6:700        \
        RRA:MAX:0.5:24:775       \
        RRA:MAX:0.5:288:797

	    einfo "$FILEPROCS creado."
    fi
fi
