#!/bin/bash

CONF="/etc/recursos2.conf"
source ${CONF}

# Common functions
unsetall () {
    unset RRDFILE
    unset IMG
    unset DAT
    unset LAST
    unset PERIOD
}

if [ ! -d "$IMGDIR" ] ; then
    mkdir -p ${IMGDIR}
fi

# Updating and generatin graph
if [ -n "$CPUP" ] ; then

genera () {
    ${RRDT} graph ${IMGDIR}/${3}${IMG}${PERIOD}.png --imgformat PNG --start ${PERIOD} --end ${LAST} --width ${WIDTH} --height ${HEIGHT} --title="CPU Usage ${PERIOD}" -v "% of CPU Used" -i -z -u 100 $2\
    -c BACK#333333 -c CANVAS#555555 -c SHADEA#FFFFFF -c SHADEB#FFFFFF -c FONT#CFCFCF -c AXIS#FFFFFF -c ARROW#FFFFFF\
    DEF:cpu=${RRDFILE}:porcentajecpu:AVERAGE \
    AREA:cpu\#FFCC33B0 \
    LINE${1}:cpu\#FF9900:'Uso CPU' \
    GPRINT:cpu:MIN:"Uso CPU %5.2lf %% Min" \
    GPRINT:cpu:MAX:" %5.2lf %% Max" \
    GPRINT:cpu:AVERAGE:" %5.2lf %% Avg" \
    GPRINT:cpu:LAST:" %5.2lf %% Last\\n" 

    sleep 1
}

    RRDFILE=${FILECPU}
    IMG="cpuporcentaje"
    LAST=$(${RRDT} last ${RRDFILE})
    
    PERIOD="-1hour"
    genera 2
    genera 2 "-j" mini
    PERIOD="-10hour"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1day"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1week"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1month"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1year"
    genera 1
    genera 1 "-j" mini

    unsetall
fi

if [ -n "$BW" ] ; then

genera () {
    ${RRDT} graph ${IMGDIR}/${3}${IMG}${PERIOD}.png --imgformat PNG --start ${PERIOD} --end ${LAST} --width ${WIDTH} --height ${HEIGHT} --title="BW Usage in ${PERIOD}" -v "KBytes/s" -i -z $2\
    -c BACK#333333 -c CANVAS#555555 -c SHADEA#FFFFFF -c SHADEB#FFFFFF -c FONT#CFCFCF -c AXIS#FFFFFF -c ARROW#FFFFFF\
    DEF:eth0in=${RRDFILE}:dev_in:AVERAGE CDEF:eth0inbyt=eth0in,8192,\/ \
    DEF:eth0out=${RRDFILE}:dev_out:AVERAGE CDEF:eth0outbyt=eth0out,8192,\/ \
    AREA:eth0inbyt\#88FF88B0 \
    LINE${1}:eth0inbyt\#33FF33:'In  Kbytes' \
    GPRINT:eth0inbyt:MIN:"Min %5.1lf Kb/s" \
    GPRINT:eth0inbyt:AVERAGE:"Avg %5.1lf Kb/s" \
    GPRINT:eth0inbyt:MAX:"Max %5.1lf Kb/s" \
    GPRINT:eth0inbyt:LAST:"Last %5.1lf Kb/s \n" \
    AREA:eth0outbyt\#FF888800 \
    LINE${1}:eth0outbyt\#FF3333:'Out Kbytes' \
    GPRINT:eth0outbyt:MIN:"Min %5.1lf Kb/s" \
    GPRINT:eth0outbyt:AVERAGE:"Avg %5.1lf Kb/s" \
    GPRINT:eth0outbyt:MAX:"Max %5.1lf Kb/s" \
    GPRINT:eth0outbyt:LAST:"Last %5.1lf Kb/s"

    sleep 1
}

    RRDFILE=${FILEBW}
    IMG="anchodebanda"
    LAST=$(${RRDT} last ${RRDFILE})
    
    PERIOD="-1hour"
    genera 2
    genera 2 "-j" mini
    PERIOD="-10hour"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1day"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1week"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1month"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1year"
    genera 1
    genera 1 "-j" mini
    
    unsetall
fi

if [ -n "$MEM" ] ; then

genera () {
    ${RRDT} graph ${IMGDIR}/${3}${IMG}${PERIOD}.png --imgformat PNG --start ${PERIOD} --end ${LAST} --width ${WIDTH} --height ${HEIGHT} --title="BW Usage in ${PERIOD}" -v "% of Mem used" -i -z -u 100 $2 \
    -c BACK#333333 -c CANVAS#555555 -c SHADEA#FFFFFF -c SHADEB#FFFFFF -c FONT#CFCFCF -c AXIS#FFFFFF -c ARROW#FFFFFF\
    DEF:ramu=${RRDFILE}:ram:AVERAGE \
    DEF:swapu=${RRDFILE}:swap:AVERAGE \
    AREA:ramu\#8888FFB0 \
    LINE${1}:ramu\#3333FF:'% Ram  used' \
    GPRINT:ramu:MIN:"Min %5.1lf" \
    GPRINT:ramu:AVERAGE:"Avg %5.1lf" \
    GPRINT:ramu:MAX:"Max %5.1lf" \
    GPRINT:ramu:LAST:"Last %5.1lf\n" \
    AREA:swapu\#FFFF88B0 \
    LINE${1}:swapu\#FFFF33:'% Swap used' \
    GPRINT:swapu:MIN:"Min %5.1lf" \
    GPRINT:swapu:AVERAGE:"Avg %5.1lf" \
    GPRINT:swapu:MAX:"Max %5.1lf" \
    GPRINT:swapu:LAST:"Last %5.1lf" 

    sleep 1
}

    RRDFILE=${FILEMEM}
    IMG="memusada"
    LAST=$(${RRDT} last ${RRDFILE})
    
    PERIOD="-1hour"
    genera 2
    genera 2 "-j" mini
    PERIOD="-10hour"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1day"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1week"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1month"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1year"
    genera 1
    genera 1 "-j" mini
    
    unsetall
fi

if [ -n "$PROCS" ] ; then

genera () {
    ${RRDT} graph ${IMGDIR}${3}${IMG}${PERIOD}.png --imgformat PNG --start ${PERIOD} --end ${LAST} --width ${WIDTH} --height ${HEIGHT} --title="BW Usage in ${PERIOD}" -v "Number of process" -i -z $2 \
    -c BACK#333333 -c CANVAS#555555 -c SHADEA#FFFFFF -c SHADEB#FFFFFF -c FONT#CFCFCF -c AXIS#FFFFFF -c ARROW#FFFFFF\
    DEF:run=${RRDFILE}:run:AVERAGE \
    DEF:sleep=${RRDFILE}:sleep:AVERAGE \
    DEF:stop=${RRDFILE}:stop:AVERAGE \
    DEF:zom=${RRDFILE}:zom:AVERAGE \
    DEF:total=${RRDFILE}:total:MAX \
    AREA:total\#8888FFB0 \
    LINE${1}:total\#3333FF:'Total' \
    GPRINT:total:MAX:"Total %5lf" \
#     AREA:sleep\#88FF88B0 \
#     LINE${1}:sleep\#33FF33:'Sleep' \
#     GPRINT:sleep:MAX:"Max %5lf" \
#     AREA:stop\#FF88FFB0 \
#     LINE${1}:stop\#FF33FF:'Stopped' \
#     GPRINT:stop:MAX:"Max %5lf" \
#     AREA:zom\#88FFFFB0 \
#     LINE${1}:zom\#33FFFF:'Zombies' \
#     GPRINT:zom:MAX:"Max %5lf" 

    sleep 1
}

    RRDFILE=${FILEPROCS}
    IMG="procs"
    LAST=$(${RRDT} last ${RRDFILE})
    
    PERIOD="-1hour"
    genera 2
    genera 2 "-j" mini
    PERIOD="-10hour"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1day"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1week"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1month"
    genera 1
    genera 1 "-j" mini
    PERIOD="-1year"
    genera 1
    genera 1 "-j" mini
    
    unsetall
fi

if [ -d !${IMGDIR}mini ] ; then
    mkdir -p ${IMGDIR}/mini
fi

for n in `ls ${IMGDIR}/mini*.png` ; do
    IMG=$( basename $n )
    SIZE="64x64!"
    DEST="${IMGDIR}/mini"
    convert -resize ${SIZE} $n ${DEST}/${IMG}
    rm $n
done

