#!/bin/bash

CONF="/etc/recursos2.conf"
source ${CONF}

# Common functions
updaterrd () {
    ${RRDT} update ${RRDFILE} N:${DAT}
}

unsetall () {
    unset RRDFILE
    unset IMG
    unset DAT
    unset LAST
    unset PERIOD
}

if [ ! -d "$IMGDIR" ] ; then
    mkdir -p ${IMGDIR}
fi

# Updating and generatin graph
if [ -n "$CPUP" ] ; then
    RRDFILE=${FILECPU}
    IMG="cpuporcentaje"
    set -- $( ${REC2} fcpu )
    ${RRDT} update ${RRDFILE} N:$1
    unsetall
fi

if [ -n "$BW" ] ; then
    RRDFILE=${FILEBW}
    IMG="anchodebanda"
    set -- $( ${REC2} fbwn )
    ${RRDT} update ${RRDFILE} N:$1:$2
    unsetall
fi

if [ -n "$MEM" ] ; then
    RRDFILE=${FILEMEM}
    IMG="mem"
    RAM=$(${REC2} fmemp)
    SWAP=$(${REC2} fswapp)
    ${RRDT} update ${RRDFILE} N:$RAM:$SWAP
    unsetall
fi

if [ -n "$PROCS" ] ; then
    RRDFILE=${FILEPROCS}
    IMG="procs"
    set -- $( ${REC2} fprocs )
    TOT=$(($1+$1+$3+$4))
    ${RRDT} update ${RRDFILE} N:$1:$2:$3:$4:$TOT
    unsetall
fi

