#!/bin/bash

## Uso: recursos.sh title general disks system net
## by BaSS <bass@gentoo.org>
## Contrib by: Pablo Nebrera, Ferdy & Jota
## Eneo Tecnologia S.L. <www.eneotecnologia.com>
## GPL licensed if you improve it tell me :)

## Changelog at end of file
## No, i can't use css, js, or perl

## funciones sin formato 

if [ -f /etc/lrp.conf ] ; then
    SYS_TYPE=Lince
else
    SYS_TYPE=Other
fi

memt () {
    set -- $(cat /proc/meminfo | grep MemTotal | awk '{print $2}')
    #set -- $(free | grep Mem | awk '{print $2}')
    echo $(($1/1024))
}
imemf () {
    set -- $(cat /proc/meminfo | grep MemFree | awk '{print $2}')
    #set -- $(free | grep Mem | awk '{print $3}')
    echo $(($1/1024))
}
memc () {
    set -- $(cat /proc/meminfo | grep Cached | awk '{print $2}')
    echo $(($1/1024))
}
memf () {
    MEMC=$(memc)
    IMEMF=$(imemf)
    echo $(($MEMC+$IMEMF))
}
memu () {
    MEMT=$(memt)
    MEMF=$(memf)
    echo $(($MEMT-$MEMF))
    #set -- $(free | grep Mem | awk '{print $4}')
    #echo $(($1/1024))
}

swapt () {
    set -- $(cat /proc/meminfo | grep SwapTotal | awk '{print $2}')
    #set -- $(free | grep Swap | awk '{print $2}')
    echo $(($1/1024))
}
iswapf () {
    set -- $(cat /proc/meminfo | grep SwapFree | awk '{print $2}')
    #set -- $(free | grep Swap | awk '{print $3}')
    echo $(($1/1024))
}
swapc () {
    set -- $(cat /proc/meminfo | grep SwapCached | awk '{print $2}')
    echo $(($1/1024))
}
swapf () {
    SWAPC=$(swapc)
    SWAPF=$(iswapf)
    echo $(($SWAPT+$SWAPF))
}
swapu () {
    SWAPF=$(swapf)
    SWAPT=$(swapt)
    echo $(($SWAPT-$SWAPF))
}

icpu () {
    if [ $SYS_TYPE = Lince ]; then
	TERM=Linux top -n2 -b | grep "CPU" | tail -n3 | head -n1 | awk '{print $3+$5+$7}'
    else
	TERM=linux top -n2 -b | grep "Cpu" | tail -n1 | awk '{print $2+$4+$6}'
    fi
}

iproct () {
     #top -n1 | grep Tasks | awk '{print $2}'
     ps ax | wc -l | awk '{print $1}'
}

iprocs () { 
    if [ $SYS_TYPE = Lince ]; then
	TERM=Linux top -n1 -b | grep "processes" | awk '{print $3,$5,$7,$9}'
    else
	TERM=Linux top -n1 -b | grep "Tasks" | awk '{print $4,$6,$8,$10}'
    fi
}
iusers () {
	OFS=$IFS
IFS="
"
	ii=0; for n in `w`; do ii=$(($ii+1)); done ; echo -n $(($ii-2))
	ll=0; for n in `ps | grep notty`; do ll=$(($ll+1)); done ; echo " "$ll
}

## Iptables related
ipt () {
    iptables-save > /tmp/tmp.ipt.save
    cat /tmp/tmp.ipt.save | grep "^-A" | wc -l
    cat /tmp/tmp.ipt.save | grep "^-A\ br0_fwd" | wc -l
}

############################################################
# Bandwidth

#while getopts i opt
#do
#    case "$opt" in
#	i) dev=$OPTARG;;
#    esac
#done

## Received byte Transmited bytes
ibw () {
    DEV=eth0
    if [ -f /tmp/bw-$DEV.tmp ]; then
	set -- $(cat /tmp/bw-$DEV.tmp)
	OLDSEC=$1
	OLDRX=$(($2*8/1024))
	OLDTX=$(($3*8/1024))
	set -- $(ifconfig $DEV | gawk '/RX bytes/{print $2,$6}' | sed 's/bytes://g')
	NEWRX=$(($1*8/1024))
	NEWTX=$(($2*8/1024))
	NEWSEC=$(date +%s)

	RX=$((($NEWRX-$OLDRX)/($NEWSEC-$OLDSEC)))
	TX=$((($NEWTX-$OLDTX)/($NEWSEC-$OLDSEC)))
	echo $RX $TX
	
	echo $NEWSEC  > /tmp/bw-$DEV.tmp
	echo $1 >> /tmp/bw-$DEV.tmp
	echo $2 >> /tmp/bw-$DEV.tmp
	 
    else
	## Create file with first timstamp
	set -- $(ifconfig $DEV | gawk '/RX bytes/{print $2,$6}' | sed 's/bytes://g')
	date +%s > /tmp/bw-$DEV.tmp
	echo $1 >> /tmp/bw-$DEV.tmp
	echo $2 >> /tmp/bw-$DEV.tmp
    fi
	
}
############################################################

itodo () {
    icpu ; iproct ; memf ; memu ; memt ; swapf ; swapu ; swapt ; echo
}

zabbix () {
    mem ; memt ; swap ; swapt ; icpu ; iproct ; ibw ; echo
}
#############################################################

iprocst () {
    set -- $(iprocs)
    if [ $SYS_TYPE = Lince ]; then
cat <<- _EOF_
	<table>
	<tr>
	    <td><b>Sleeping:</b></td>
	    <td>$(echo $1)</td>
	</tr>
	<tr>
	    <td bgcolor="#e6e6e6"><b>Running:</b></td>
	    <td bgcolor="#e6e6e6">$(echo $2)</td>
	</tr>
	<tr>
	    <td><b>Zombie:</b></td>
	    <td>$(echo $3)</td>
	</tr>
	<tr>
	    <td bgcolor="#e6e6e6"><b>Stopped:</b></td>
	    <td bgcolor="#e6e6e6">$(echo $4)</td>
	</tr>
	</table>
_EOF_
    else
cat <<- _EOF_
	<table>
	<tr>
	    <td><b>Running:</b></td>
	    <td>$(echo $1)</td>
	</tr>
	<tr>
	    <td bgcolor="#e6e6e6"><b>Sleeping:</b></td>
	    <td bgcolor="#e6e6e6">$(echo $2)</td>
	</tr>
	<tr>
	    <td><b>Stopped:</b></td>
	    <td>$(echo $3)</td>
	</tr>
	<tr>
	    <td bgcolor="#e6e6e6"><b>Zombie:</b></td>
	    <td bgcolor="#e6e6e6">$(echo $4)</td>
	</tr>
	</table>
_EOF_
    fi
}

## RAM
mem () {
    MEMU=$(memu)
    MEMT=$(memt)
    echo $(($MEMU*100/$MEMT))
}

## SWAP
swap () {
    SWAPF=$(swapf)
    SWAPT=$(swapt)
    SWAPU=$(($SWAPT-$SWAPF))
    echo $(($SWAPU*100/$SWAPT))
}

iuptime () {
    if [ $SYS_TYPE = Lince ]; then
	upSeconds=$(cat /proc/uptime | tr "." " " | awk '{print $1}')
	secs=$((${upSeconds}%60))
	mins=$((${upSeconds}/60%60))
	hours=$((${upSeconds}/3600/24))
	days=$((${upSeconds}/86400))
    else
	let upSeconds="$(cat /proc/uptime | tr "." " " | awk '{print $1}')"
	let secs=$((${upSeconds}%60))
	let mins=$((${upSeconds}/60%60))
	let hours=$((${upSeconds}/3600/24))
	let days=$((${upSeconds}/86400))
    fi
    if [ "${days}" -ne "0" ]
    then
	    echo -n "${days}d "
    fi
    echo "${hours}h ${mins}m"	
}

idate () {
     date "+%A, %d %B %Y"
}

ipa1 () {
    OFS=$IFS
IFS="
"
    for n in `ip a | sed -e 's/</\&lt;/' -e 's/>/\&gt;/'` ; do
	echo -n $n; echo "<br>";
    done
    IFS=$OFS
}

ipa () {
    ipa1 | awk 'BEGIN {} { if (match($1, "^[0-9]+:")!=0) print "<br><B>",$0,"</B>"; else print $0;  }'
}

## Conexiones activas
netstatt () {
    #netstat -tuna | grep -v Active
    netstat --inet -apnt|grep -v ^"Active Internet connections"| gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">","Local Address","</TH>","<TH bgcolor=\"#b0b0b0\">","Foreign Address","</TH>","<TH bgcolor=\"#b0b0b0\">","State","</TH>","<TH bgcolor=\"#b0b0b0\">","PID/Program name","</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","<TD bgcolor=\"#e6e6e6\">",$7,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","<TD>",$7,"</TD>","</TR>";} } }END  { print "</TABLE>";}';
}
netstatu () {
    netstat --inet -apnu|grep -v ^"Active Internet connections"| gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">","Local Address","</TH>","<TH bgcolor=\"#b0b0b0\">","Foreign Address","</TH>","<TH bgcolor=\"#b0b0b0\">","State  PID/Program name","</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"  ",$7,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"  ",$7,"</TD>","</TR>";} } }END  { print "</TABLE>";}';
}

psaux () {
    ps aux | gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">",$4,"</TH>","<TH bgcolor=\"#b0b0b0\">",$5,"</TH>","<TH bgcolor=\"#b0b0b0\">",$6,"</TH>","<TH bgcolor=\"#b0b0b0\">",$7,"</TH>","<TH bgcolor=\"#b0b0b0\">",$8,"</TH>","<TH bgcolor=\"#b0b0b0\">",$9,"</TH>","<TH bgcolor=\"#b0b0b0\">",$10,"</TH>","<TH bgcolor=\"#b0b0b0\">",$11,"</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","<TD bgcolor=\"#e6e6e6\">",$7,"</TD>","<TD bgcolor=\"#e6e6e6\">",$8,"</TD>","<TD bgcolor=\"#e6e6e6\">",$9,"</TD>","<TD bgcolor=\"#e6e6e6\">",$10,"</TD>","<TD bgcolor=\"#e6e6e6\">",$11,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","<TD>",$7,"</TD>","</TR>";} } }END  { print "</TABLE>";}';
}

dfh () {
    if [ $SYS_TYPE = Lince ]; then
	df -h | grep -v "/dev/root"| grep -v "/dev/loop0" |grep -v "/mnt1" | gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">",$4,"</TH>","<TH bgcolor=\"#b0b0b0\">",$5,"</TH>","<TH bgcolor=\"#b0b0b0\">",$6,"</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","</TR>";} } }END  { print "</TABLE>"    }';
    else
	df -h | gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">",$4,"</TH>","<TH bgcolor=\"#b0b0b0\">",$5,"</TH>","<TH bgcolor=\"#b0b0b0\">",$6,"</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","</TR>";} } }END  { print "</TABLE>"    }';
    fi
}

who () {
    w | sed '1d' | gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">",$4,"</TH>","<TH bgcolor=\"#b0b0b0\">",$5,"</TH>","<TH bgcolor=\"#b0b0b0\">",$6,"</TH>","<TH bgcolor=\"#b0b0b0\">",$7,"</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","<TD bgcolor=\"#e6e6e6\">",$7,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","<TD>",$7,"</TD>","</TR>";} } }END  { print "</TABLE>";}';
}   

route () {
    netstat -r | sed '1d' | gawk 'BEGIN { print "<TABLE align=\"center\" BORDER=0  width=\"95%\" cellspacing=\"3\" cellpadding=\"3\">"}{ if (NR==1) { print "<TR align=\"center\">","<TH bgcolor=\"#b0b0b0\">",$1,"</TH>","<TH bgcolor=\"#b0b0b0\">",$2,"</TH>","<TH bgcolor=\"#b0b0b0\">",$3,"</TH>","<TH bgcolor=\"#b0b0b0\">",$4,"</TH>","<TH bgcolor=\"#b0b0b0\">",$5,"</TH>","<TH bgcolor=\"#b0b0b0\">",$6,"</TH>","<TH bgcolor=\"#b0b0b0\">",$7,"</TH>","<TH bgcolor=\"#b0b0b0\">",$8,"</TH>","</TR>";} else { if (NR%2==0) { print "<TR>","<TD bgcolor=\"#e6e6e6\">",$1,"</TD>","<TD bgcolor=\"#e6e6e6\">",$2,"</TD>","<TD bgcolor=\"#e6e6e6\">",$3,"</TD>","<TD bgcolor=\"#e6e6e6\">",$4,"</TD>","<TD bgcolor=\"#e6e6e6\">",$5,"</TD>","<TD bgcolor=\"#e6e6e6\">",$6,"</TD>","<TD bgcolor=\"#e6e6e6\">",$7,"</TD>","<TD bgcolor=\"#e6e6e6\">",$8,"</TD>","</TR>";} else { print "<TR>","<TD>",$1,"</TD>","<TD>",$2,"</TD>","<TD>",$3,"</TD>","<TD>",$4,"</TD>","<TD>",$5,"</TD>","<TD>",$6,"</TD>","<TD>",$7,"</TD>","<TD>",$8,"</TD>","</TR>";} } }END  { print "</TABLE>";}';
}

## Sumario

#    <html>
#    <head></head>
#    <body><table width="100%" cellspacing="3" cellpadding="1" border="0">
#    <tr>
#	<td><b></b></td>
#	<td></td>
#    </tr>
#    <tr>
#	<td bgcolor="#e6e6e6"><b></b></td>
#	<td bgcolor="#e6e6e6"></td>
#    </tr>
#    </table></body></html>

title () {
cat <<- _EOF_
    <head>
    <title>System Report</title>
    </head>
    <font face="arial,helvetica">
    <center><h2><b><font face="arial,helvetica"  face="arial,helvetica"  size="6px" color="#FFA500">:</font></b> System Report - $(date "+%c") </b><b><font face="arial,helvetica"  size="6px" color="#FFA500">:</font></b></h2></center>
    <center><h4><font face="arial,helvetica"  color="5f5f5f"><b>by BaSS</b> <a href="http://www.josealberto.org">www.JoseAlberto.org</a></font></h4></center>
    <hr align="center" width="50%">
_EOF_
}

general () {
cat <<- _EOF_
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> General Info</b></h3>
    <table align="center" width="95%" cellspacing="3" cellpadding="3" border="0">
    <tr>
	<td><b>System Date :</b></td>
	<td>$(idate)</td>
    </tr>
    <tr>
	<td bgcolor="#e6e6e6"><b>Uptime :</b></td>
	<td bgcolor="#e6e6e6">$(iuptime)</td>
    </tr>
    <tr>
	<td><b>Active Users :</b></td>
	<td>$(iusers | awk '{print $1'})</td>
    </tr>
    <tr>
	<td bgcolor="#e6e6e6"><b>NoTTY Users :</b></td>
	<td bgcolor="#e6e6e6">$(iusers | awk '{print $2}')</td>
    </tr>
    </tr>
    <tr>
	<td><b>Connected TTY Users :</b></td>
	<td>$(who)</td>
    </table>
_EOF_
}

system () {
cat <<- _EOF_
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> Tasks and Cpu Info</b></h3>
    <table align="center" width="95%" cellspacing="3" cellpadding="3" border="0">
    <tr>
	<td><b>Cpu Usage :</b></td>
	<td>$(icpu)%</td>
    </tr>
    <tr>
	<td bgcolor="#e6e6e6"><b>Tasks Numbers :</b></td>
	<td bgcolor="#e6e6e6">$(iproct)</td>
    </tr>
    <tr>
	<td><b>Tasks State :</b></td>
	<td>$(iprocst)</td>
    </tr>
    </table>
_EOF_
}

disks () {
cat <<- _EOF_
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> Mem Info</b></h3>
    <table align="center" width="95%" cellspacing="3" cellpadding="1" border="0">
    <tr>
	<td><b>Used Ram :</b></td>
	<td>$(mem)% of $(memt)Mb</td>
    </tr>
    <tr>
	<td bgcolor="#e6e6e6"><b>Used Swap :</b></td>
	<td bgcolor="#e6e6e6">$(swap)% of $(swapt)Mb</td>
    </tr>
    </table>
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> Disk Usage</b></h3>
    $(dfh)
_EOF_
}

net () {
    set -- $(ipt)
cat <<- _EOF_
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> IPTables Rules</b></h3>
    <table align="center" width="95%" cellspacing="3" cellpadding="1" border="0">
    <tr>
	<td><b>Total Number of Rules :</b></td>
	<td>$(echo $1)</td>
    </tr>
    <tr>
	<td bgcolor="#e6e6e6"><b>Total Number of Rules in zone bw0_fwd :</b></td>
	<td bgcolor="#e6e6e6">$(echo $2)</td>
    </tr>
    </table>
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> TCP Network Info</b></h3>
    $(netstatt)
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> UDP Network Info</b></h3>
    $(netstatu)
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> Route Table</b></font></h3>
    $(route)
    <p>
    <h3><b><font face="arial,helvetica"  size="5px" color="#FFA500">:</font></b><b> Network Interfaces</b></font></h3>
    <table align="center">
    $(ipa)
_EOF_
}

#
summary () {
    echo "********************** System Repor $(date +%c) **********************"
    echo
    echo "::::: General"
    echo
    echo "System Date		: $(idate)"
    echo "Uptime		: $(iuptime)"
    echo "Active TTY Users	: $(iusers | awk '{print $1'})"
    echo "Active NoTTY Users	: $(iusers | awk '{print $2'})"
    echo "Firewall rules	: $(ipt)"
    echo
    echo "::::: System"
    echo
    echo "CPU Used		: $(icpu)%"
    echo "Tasks Number		: $(iproct)"
    echo "  " "Sleeping		: $(iprocs | awk '{print $1'})"
    echo "  " "Running		: $(iprocs | awk '{print $2'})"
    echo "  " "zombie		: $(iprocs | awk '{print $3'})"
    echo "  " "Stopped		: $(iprocs | awk '{print $4'})"
    echo
    echo "Ram Used		: $(mem)% of $(memt)Mb"
    echo "Swap Used		: $(swap)% of $(swapt)Mb"
    echo "________________________________________________________________________"
    
}

$1
$2
$3
$4
$5

################################################
################## ChangeLog ###################
#
# * 1.0.1
#   Now "mem" and "swap" is calculated using proc
#
# * 1.0.2
#   stange behavior in "swap" function. fixed with a lil hack
#
# * 1.0.3
#   "mem" now show percent of used Ram not free
#   "netact" is splited in "nestatt" for tcp and "netstatu" for udp
#
# * 1.0.9
#   Bandwidth monitor added
#
# * 1.0.10
#   iptables basic count rules added
